



  <div class="goalContainer">
    <div class="goalHeading"><h1>Goal</h1></div>

    <div class="goalImageBox">
      <img class="goalImage" src="../../../assets/Images/goal.svg" alt="">
    </div>

    <div class="weight">
      <cdk-virtual-scroll-viewport itemSize="10" class="example-viewport">
        <div *cdkVirtualFor="let item of items" class="example-item">{{item}} kg</div>
      </cdk-virtual-scroll-viewport>

    </div>
    <div class="by">
      <p>by</p>
    </div>

    <div class="day">
      <cdk-virtual-scroll-viewport itemSize="10" class="example-viewport">
        <div *cdkVirtualFor="let day of days" class="example-item">{{day}}</div>
      </cdk-virtual-scroll-viewport>
    </div>
    <div class="month">
      <cdk-virtual-scroll-viewport itemSize="10" class="example-viewport">
        <div *cdkVirtualFor="let m of months" class="example-item">{{m}}</div>
      </cdk-virtual-scroll-viewport>
    </div>
    <div class="year">
      <cdk-virtual-scroll-viewport itemSize="10" class="example-viewport">
        <div *cdkVirtualFor="let y of years" class="example-item">{{y}}</div>
      </cdk-virtual-scroll-viewport>
    </div>

    <div class="with">
      <p>with</p>
    </div>

    <div class="food">
      <cdk-virtual-scroll-viewport itemSize="10" class="example-viewport">
        <div *cdkVirtualFor="let p of percentage" class="example-item">+ {{p}}%</div>
      </cdk-virtual-scroll-viewport>
      <div class="foodPercent"><p>food</p>
      <p>.... kcal / day</p></div>
    </div>
    <div class="and">
      <p>&</p>
    </div>
    <div class="exercise">
      <cdk-virtual-scroll-viewport itemSize="10" class="example-viewport">
        <div *cdkVirtualFor="let p of percentage" class="example-item">+ {{p}}%</div>
      </cdk-virtual-scroll-viewport>
      <div class="foodPercent"><p>exercise</p>
        <p>.... kcal / day</p></div>
    </div>

  </div>


  <div>
    <button class="check" mat-fab color="tick" (click)="saveGoals()"><i class="fas fa-check"></i></button>
  </div>
